
package com.jeelowcode.framework.utils.params;

import java.util.List;
import java.util.Map;

public class JeeLowCodeDictTableParam {

    //字典编码
    List<DictCodeDataParam> paramList;


    public static class DictCodeDataParam{

        private String tableName;//表名称
        private String fieldKey;//字段键
        private String fieldValue;//字段值

        private String whereField;//id
        private String whereValue;//1

        public String getTableName() {
            return tableName;
        }

        public void setTableName(String tableName) {
            this.tableName = tableName;
        }


        public String getFieldKey() {
            return fieldKey;
        }

        public void setFieldKey(String fieldKey) {
            this.fieldKey = fieldKey;
        }

        public String getFieldValue() {
            return fieldValue;
        }

        public void setFieldValue(String fieldValue) {
            this.fieldValue = fieldValue;
        }

        public String getWhereField() {
            return whereField;
        }

        public void setWhereField(String whereField) {
            this.whereField = whereField;
        }

        public String getWhereValue() {
            return whereValue;
        }

        public void setWhereValue(String whereValue) {
            this.whereValue = whereValue;
        }
    }

    public List<DictCodeDataParam> getParamList() {
        return paramList;
    }

    public void setParamList(List<DictCodeDataParam> paramList) {
        this.paramList = paramList;
    }
}
